diff --git a/web/pgadmin/tools/datagrid/static/js/datagrid.js b/web/pgadmin/tools/datagrid/static/js/datagrid.js
index e7329c3..628fe0d 100644
--- a/web/pgadmin/tools/datagrid/static/js/datagrid.js
+++ b/web/pgadmin/tools/datagrid/static/js/datagrid.js
@@ -275,11 +275,11 @@ define('pgadmin.datagrid', [
             setup: function() {
               return {
                 buttons: [{
-                  text: 'OK',
+                  text: gettext('OK'),
                   className: 'btn btn-primary',
                 },
                 {
-                  text: 'Cancel',
+                  text: gettext('Cancel'),
                   className: 'btn btn-danger',
                 },
                 ],
@@ -288,6 +288,7 @@ define('pgadmin.datagrid', [
                   resizable: true,
                   maximizable: false,
                   pinnable: false,
+                  autoReset: false,
                 },
               };
             },
diff --git a/web/pgadmin/tools/datagrid/templates/datagrid/filter.html b/web/pgadmin/tools/datagrid/templates/datagrid/filter.html
index 8cc9a9f..f366ed6 100644
--- a/web/pgadmin/tools/datagrid/templates/datagrid/filter.html
+++ b/web/pgadmin/tools/datagrid/templates/datagrid/filter.html
@@ -2,7 +2,8 @@
     <textarea id="sql_filter" rows="5" tabindex="0"></textarea>
     <style>
         .filter-textarea .CodeMirror-scroll {
-        min-height: 120px;
+          min-height: 120px;
+          max-height: 120px;
         }
         .dataview_filter_dialog {
           bottom: 0 !important;
